    PROGRAM x05acfe

!      X05ACF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : x05acf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: k
       CHARACTER (50)                  :: ctime1, ctime2
!      .. Executable Statements ..
       WRITE (nout,*) 'X05ACF Example Program Results'

!      Skip heading in data file
       READ (nin,*)

       READ (nin,*) ctime1, ctime2

       k = x05acf(ctime1,ctime2)

       WRITE (nout,99999) ctime1

       SELECT CASE (k)
       CASE (:-1)
          WRITE (nout,99999) 'is earlier than'
       CASE (0)
          WRITE (nout,99999) 'is equivalent to'
       CASE (1:)
          WRITE (nout,99999) 'is later than'
       END SELECT

       WRITE (nout,99999) ctime2

99999  FORMAT (1X,A)
    END PROGRAM x05acfe
